Bug 1120927 - [Docs][PRD3.5][Change] Users can now 'unlock' (log in to) virtual machines via the REST API
Summary: [Docs][PRD3.5][Change] Users can now 'unlock' (log in to) virtual machines vi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Andrew Burden
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 996512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 02:10 UTC by Andrew Dahms
Modified: 2015-02-16 04:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 04:47:01 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-18 02:10:01 UTC
Users can now log in to virtual machines via the REST API. This allows users to log in and connect to virtual machines via the REST API, which it seems was not possible before because users had no way to authenticate with the virtual machine.

This should involve writing a new topic for the Technical Guide showing the syntax for logging in to a virtual machine. This syntax is already available in the PRD bug.

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=996512

Comment 3 Andrew Burden 2014-11-18 07:55:14 UTC
Documentation links:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Technical_Guide/XML_Representation_of_a_Virtual_Machine.html (Updated topic)

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Technical_Guide/vm.html (updated topic)

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Technical_Guide/sect-Actions5.html#Enabling_user_logon_of_a_virtual_machine_for_external_console_use (New topic)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
What's changed:
A logon action for VMs has been added so that users can log into a VM using the API, which makes the VM console accessible in external applications, for instance GNOME Boxes.

*XML representaiton [7985] - Updated table to include logon action

* vm [10186] - added logon to action table

*Logging onto a virtual machine for external console [42193] - New topic
((QE: Pay close attention to the second para. Is this enough information for users? Topic 40908 in the Admin Guide has more information in procedure, though doesn't mention the need to start the service, but didn't want to deep-link to a second guide for such a trivial thing. Best alternative would be to include the procedure (1. repo for RHEL 6+repo for RHEL 7 2. Install packages 3. start service) in the description.))

*Revision History [34616] - Updated

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
NVR:
Red_Hat_Enterprise_Virtualization-Technical_Guide-3.5-web-en-US-3.5-27.el6eng

Comment 4 Tahlia Richardson 2014-11-24 01:05:00 UTC
Changes appear as listed; no errors found. 
Re: the new topic: it is my opinion that what's written there is enough information, as it's talking about pretty basic stuff. 

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.